Error - Plugin does not have valid header

Hi, I have tried to install the contact widget and got a Wordpress Error message " Plugin does not have valid header"
Please see the attached image.

Any ideas on what went wrong?